import pickle

levels = [

    {
        "id":"000",
        "name":"Test Level",
        "desc":["Testing mechanics etc.",],
        "cost":0,
        "easy":(50,[
            ("grey","lazy",(8,6)),
            ("grey","lazy",(10,6)),
            ("grey","lazy",(12,6)),
            ],),
        "medium":(40,[
            ("grey","lazy",(8,6)),
            ("grey","lazy",(10,6)),
            ("grey","lazy",(12,6)),
            ("grey","lazy",(10,4)),
            ],),
        "hard":(25,[
            ("grey","lazy",(8,6)),
            ("grey","lazy",(10,6)),
            ("grey","lazy",(12,6)),
            ("grey","lazy",(8,4)),
            ("grey","lazy",(10,4)),
            ("grey","lazy",(12,4)),
            ],)

        },

    {
        "id":"001",
        "name":"War is Hell",
        "desc":["Time to practise basic controls.",
                "Red jellies are more than capable of",
                "defeating these oozes."],
        "cost":0,
        "easy":(60,[
            ("grey","lazy",(2,1)),
            ("grey","lazy",(6,2)),
            ("grey","lazy",(10,1)),
            ],),
        "medium":(40,[
            ("grey","lazy",(2,1)),
            ("grey","lazy",(5,2)),
            ("grey","lazy",(6,2)),
            ("grey","lazy",(9,1)),
            ],),
        "hard":(40,[
            ("grey","lazy",(2,1)),
            ("grey","lazy",(5,2)),
            ("grey","lazy",(6,2)),
            ("grey","lazy",(9,1)),
            ("grey","lazy",(5,4)),
            ("grey","lazy",(6,4)),
            ],)

        },

    {
        "id":"002",
        "name":"Bolt from the Blue",
        "desc":["Another introduction. Get used to",
                "casting magic effects over a group",
                "of enemies."],
        "cost":0,
        "easy":(60,[
            ("grey","lazy",(2,2)),
            ("grey","lazy",(6,2)),
            ("grey","lazy",(3,2)),
            ("grey","lazy",(5,2)),
            ("grey","lazy",(2,4)),
            ("grey","lazy",(6,4)),
            ("grey","lazy",(3,4)),
            ("grey","lazy",(5,4)),
            ],),
        "medium":(50,[
            ("grey","lazy",(2,2)),
            ("grey","lazy",(6,2)),
            ("grey","lazy",(3,2)),
            ("grey","lazy",(5,2)),
            ("grey","lazy",(2,4)),
            ("grey","lazy",(6,4)),
            ("grey","lazy",(3,4)),
            ("grey","lazy",(5,4)),
            ],),
        "hard":(40,[
            ("grey","lazy",(2,2)),
            ("grey","lazy",(6,2)),
            ("grey","lazy",(3,2)),
            ("grey","lazy",(5,2)),
            ("grey","lazy",(2,4)),
            ("grey","lazy",(6,4)),
            ("grey","lazy",(3,4)),
            ("grey","lazy",(5,4)),
            ],)

        },
    {
        "id":"003",
        "name":"Might as Well Have Stayed at Home",
        "desc":["Welcome the Yellow jelly. I'm sure",
                "you'll have no trouble on this one."],
        "cost":0,
        "easy":(60,[
            ("grey","lazy",(5,2)),
            ("grey","lazy",(5,7)),
            ],),
        "medium":(50,[
            ("grey","lazy",(5,2)),

            ("grey","lazy",(3,7)),
            ("grey","lazy",(6,7)),
            ],),
        "hard":(40,[
            ("grey","lazy",(5,2)),

            ("grey","lazy",(3,7)),
            ("grey","lazy",(6,7)),

            ("gobber","lazy",(5,1)),
            ],)

        },
    {
        "id":"004",
        "name":"Chlorophyll",
        "desc":["Did you know that yellow and blue make",
                "green? I do."],
        "cost":0,
        "easy":(50,[
            ("grey","lazy",(1,1)),
            ("grey","lazy",(3,1)),
            ("grey","lazy",(5,1)),
            ("grey","lazy",(7,1)),
            ],),
        "medium":(30,[
            ("grey","lazy",(1,1)),
            ("grey","lazy",(3,1)),
            ("grey","lazy",(5,1)),
            ("grey","lazy",(7,1)),
            ("grey","lazy",(4,2)),
            ],),
        "hard":(40,[
            ("grey","lazy",(1,1)),
            ("grey","lazy",(3,1)),
            ("grey","lazy",(5,1)),
            ("grey","lazy",(7,1)),
            ("grey","lazy",(4,2)),

            ("gobber","lazy",(3,3)),
            ],)

        },
    {
        "id":"005",
        "name":"A Good Scrab",
        "desc":["Well here you go. Time to practise",
                "your colours. You might discover",
                "the fantastic purple. Or perhaps",
                "a less seductive colour."],
        "cost":0,
        "easy":(50,[
            ("grey","lazy",(7,4)),
            ("grey","lazy",(10,3)),
            ("grey","lazy",(8,5)),
            ("grey","lazy",(3,4)),
            ("gobber","lazy",(2,3)),
            ],),
        "medium":(30,[
            ("grey","lazy",(7,4)),
            ("grey","lazy",(10,3)),
            ("grey","lazy",(8,5)),
            ("grey","lazy",(3,4)),
            ("gobber","lazy",(2,3)),
            ],),
        "hard":(40,[
            ("grey","lazy",(7,4)),
            ("grey","lazy",(10,3)),
            ("grey","lazy",(8,5)),
            ("grey","lazy",(3,4)),
            ("gobber","lazy",(2,3)),
            ],)

        },
    {
        "id":"006",
        "name":"Introduction to the Floor",
        "desc":["Now did you know that the floor",
                "can colour you just the same as",
                "mixing? Did you know that oozes",
                "can?"],
        "cost":0,
        "easy":(80,[
            ("blue","lazy",(2,2)),
            ("grey","lazy",(4,2)),
            ("red","lazy",(6,2)),
            ("grey","lazy",(8,2)),
            ("yellow","lazy",(10,2)),
            ],),
        "medium":(60,[
            ("blue","lazy",(2,2)),
            ("grey","lazy",(4,2)),
            ("red","lazy",(6,2)),
            ("grey","lazy",(8,2)),
            ("yellow","lazy",(10,2)),
            ("grey","lazy",(6,4)),
            ("gobber","lazy",(6,6)),
            ],),
        "hard":(50,[
            ("blue","lazy",(2,2)),
            ("grey","lazy",(4,2)),
            ("red","lazy",(6,2)),
            ("grey","lazy",(8,2)),
            ("yellow","lazy",(10,2)),
            ("gobber","lazy",(6,4)),
            ("black","lazy",(6,6)),
            ("gobber","lazy",(6,8)),
            ],)

        },
    {
        "id":"007",
        "name":"Final Challenge",
        "desc":["The challenge is:",
                "Can I get sound into this before",
                "one o'fuckin' clock?"],
        "cost":0,
        "easy":(120,[
            ("red","lazy",(1,0)),
            ("green","lazy",(5,0)),
            ("blue","lazy",(8,0)),
            ("grey","lazy",(5,3)),
            ("grey","lazy",(2,5)),
            ("brown","lazy",(5,5)),
            ],),
        "medium":(60,[
            ("red","lazy",(1,0)),
            ("green","lazy",(5,0)),
            ("blue","lazy",(8,0)),
            ("brown","lazy",(5,3)),
            ("grey","lazy",(2,5)),
            ("brown","lazy",(5,5)),
            ],),
        "hard":(50,[
            ("red","lazy",(1,0)),
            ("green","lazy",(5,0)),
            ("blue","lazy",(8,0)),
            ("brown","lazy",(5,3)),
            ("black","lazy",(2,5)),
            ("black","lazy",(2,7)),
            ("brown","lazy",(5,5)),
            ],)

        },
    {
        "id":"008",
        "name":"Toilet Humor",
        "desc":["Untested :3"],
        "cost":15,
        "easy":(150,[
            ("grey","lazy",(7,4)),
            ("grey","lazy",(10,3)),
            ("grey","lazy",(8,5)),
            ("grey","lazy",(3,4)),
            ("gobber","lazy",(2,3)),
            ],),
        "medium":(130,[
            ("grey","lazy",(7,4)),
            ("grey","lazy",(10,3)),
            ("grey","lazy",(8,5)),
            ("grey","lazy",(3,4)),
            ("gobber","lazy",(2,3)),
            ],),
        "hard":(140,[
            ("grey","lazy",(7,4)),
            ("grey","lazy",(10,3)),
            ("grey","lazy",(8,5)),
            ("grey","lazy",(3,4)),
            ("gobber","lazy",(2,3)),
            ],)

        },
    {
        "id":"009",
        "name":"Are you Colourblind?",
        "desc":["Untested :3"],
        "cost":49,
        "easy":(80,[
            ("blue","lazy",(2,2)),
            ("grey","lazy",(4,2)),
            ("red","lazy",(6,2)),
            ("grey","lazy",(8,2)),
            ("yellow","lazy",(10,2)),
            ],),
        "medium":(60,[
            ("blue","lazy",(2,2)),
            ("grey","lazy",(4,2)),
            ("red","lazy",(6,2)),
            ("grey","lazy",(8,2)),
            ("yellow","lazy",(10,2)),
            ("grey","lazy",(6,4)),
            ("gobber","lazy",(6,6)),
            ],),
        "hard":(50,[
            ("blue","lazy",(2,2)),
            ("grey","lazy",(4,2)),
            ("red","lazy",(6,2)),
            ("grey","lazy",(8,2)),
            ("yellow","lazy",(10,2)),
            ("gobber","lazy",(6,4)),
            ("black","lazy",(6,6)),
            ("gobber","lazy",(6,8)),
            ],)

        },

    ]

for m in levels:
    f = open("level-%s.txt" %m["id"],"w")
    pickle.dump(m,f)
        
